Change log for libpreludedb package in Debian

115 of 15 results
Published in experimental-release on 2017-10-06
libpreludedb (3.1.0-0.2) experimental; urgency=medium

  * Non-maintainer upload.
  * Update gtkdoc files to be compatible with gtkdoc-1.26 (Closes: #876709)
    - Update gtk-doc.make and m4/gtk-doc.m4
    - Using https://github.com/GNOME/gtk-doc
  * Add libglib2.0-dev to build-dep-indep because it is required for gtk-doc

 -- Thomas Andrejak <email address hidden>  Sun, 24 Sep 2017 09:00:00 +0200
Superseded in experimental-release on 2017-10-06
libpreludedb (3.1.0-0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Add support and dependencies for Python3 bindings
  * Add PreludeDB documentation with gtk-doc
  * Cleanup rules file
    - Clean all directives
    - Support Build profiles nopython
    - Build the documentation only when building the indep packages
  * Addition of the upstream signing key
  * Update of watch file
  * Bump version 3.1.0 (Closes: #872260)
    - Bump soname version: C to 7, C++ to 2
    - Patches :
      - Remove unnecessary patches now upstream included them
      - 001-manpages.patch: Fix manpage syntax
      - 002-undefined_non_weak_symbol.patch: Fix undefined non weak symbol
      - 003-Add-pkg-config-file.patch: Deprecate libpreludedb-config
        for pkg-config
      - 004-Add_support_for_python_3.5_and_3.6.patch: Add simultaneous
        support for python 3.5 and 3.6
      - 005-Clarify_License.patch: Clarify README.LICENSE
  * Control :
    - Remove unnecessary PreDepends
    - Change Priority from extra to optional
    - Add Vcs fields
    - Bump Standards-Version to 4.0.1
    - Bump debhelper compat level to 10, drop explicit autoreconf, now part
      of debhelper standard sequence.
    - Set Homepage field
    - Remove of uneccesary/duplicated Section fields
  * Rewriting of copyright file to fit the machine-readable format
  * Add missing copyright information
  * Add new package: preludedb-utils
    - Handle preludedb-admin and it's manpage

 -- Thomas Andrejak <email address hidden>  Tue, 15 Aug 2017 12:00:00 +0100
Published in buster-release on 2017-07-17
Published in stretch-release on 2017-01-20
Published in sid-release on 2017-01-14
libpreludedb (1.0.0-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Mickael Profeta has retired, promote Pierre Chifflier from Uploaders to
    Maintainer.  (Closes: #838923)
  * Switch Build-Depends to default-libmysqlclient-dev.
    (Closes: #845867, #790467)
  * Use dh_autoreconf.  (Closes: #744617, #558580)
  * Add missing Build-Depends: dh-python.
  * Add missing build-arch/build-indep targets.
  * Switch to source format 3.0 (quilt).

 -- Andreas Beckmann <email address hidden>  Thu, 12 Jan 2017 17:03:47 +0100
Superseded in stretch-release on 2017-01-20
Published in jessie-release on 2014-09-03
Superseded in sid-release on 2017-01-15
libpreludedb (1.0.0-2.3) unstable; urgency=medium


  * Non-maintainer upload.
  * Rebuild against GnuTLS v3. Drop build-dependency on libgnutls-dev.
    libpreludedb does not use GnuTLS directly and its build-dependency on
    libprelude-dev pulls in GnuTLS development packages.
    Closes: #754772

 -- Andreas Metzler <email address hidden>  Fri, 15 Aug 2014 07:43:46 +0200
Superseded in jessie-release on 2014-09-03
Superseded in sid-release on 2014-08-28
libpreludedb (1.0.0-2.2) unstable; urgency=medium


  * Non-maintainer upload.
  * Force swig to regenerate bindings/perl/PreludeDB.c by removing it
    before building and in the clean target. (Closes: #752335)
  * Use perl's $Config{vendorarch} instead of /usr/lib/perl5. Thanks
    to Niko Tyni for the patch. (Closes: #752336)

 -- Ansgar Burchardt <email address hidden>  Tue, 05 Aug 2014 22:27:33 +0200
Superseded in jessie-release on 2014-08-13
Superseded in sid-release on 2014-08-08
libpreludedb (1.0.0-2.1) unstable; urgency=low


  * Non-maintainer upload.
  * Convert to dh_python2 (Closes: #616869).
  * libmissing/stdio.in.h:
    - Do not try to warn about gets risks if it is not defined, fix
      FTBFS with eglibc 2.17 (Closes: #701403).

 -- Luca Falavigna <email address hidden>  Thu, 30 May 2013 20:42:16 +0200
Superseded in jessie-release on 2013-06-17
Superseded in sid-release on 2013-06-07
libpreludedb (1.0.0-2) unstable; urgency=low


  * Do not ship .la files
  * Replace TYPE=InnoDB with ENGINE=InnoDB to match MySQL 5.5

 -- Pierre Chifflier <email address hidden>  Sat, 16 Mar 2013 16:54:52 +0100
Published in wheezy-release
Superseded in sid-release on 2013-03-17
libpreludedb (1.0.0-1.1) unstable; urgency=low
  * Non-maintainer upload.  * Remove references to other libraries from dependency_libs field    (Closes: #620938) -- Luk Claes <email address hidden>  Sun, 05 Jun 2011 18:54:51 +0200
Superseded in wheezy-release on 2011-09-21
Published in squeeze-release on 2010-04-04
Superseded in sid-release on 2011-09-20
libpreludedb (1.0.0-1) unstable; urgency=low


  * Imported Upstream version 1.0.0

 -- Pierre Chifflier <email address hidden>  Tue, 16 Mar 2010 22:53:13 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
libpreludedb (1.0.0~rc1-2) unstable; urgency=low


  * Bump standards version to 3.8.4
  * Rebuild to use libltdl7 (Closes: #571365)

 -- Pierre Chifflier <email address hidden>  Fri, 26 Feb 2010 14:22:19 +0100
Superseded in sid-release on 2011-09-20
libpreludedb (1.0.0~rc1-1) unstable; urgency=low


  * New upstream release
  * Bump standards version to 3.8.3
  * Rebuild with support for Python 2.6 (Closes: #531555)

 -- Pierre Chifflier <email address hidden>  Tue, 02 Feb 2010 08:46:05 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
libpreludedb (0.9.15.3-1) unstable; urgency=low


  * New Upstream Version
  * Update description (Prelude is a SIM/SIEM, not an IDS)
  * Add alternative build-dep on libmysqlclient-dev to build with MySQL 5.1

 -- Pierre Chifflier <email address hidden>  Tue, 28 Jul 2009 09:42:38 +0200
Superseded in sid-release on 2011-09-20
libpreludedb (0.9.15.2-1) unstable; urgency=low


  * New Upstream Version
  * Bump standards version to 3.8.2 (no changes)
  * Set debhelper compat version to 5
  * Rebuild against libpq 8.4

 -- Pierre Chifflier <email address hidden>  Mon, 13 Jul 2009 22:21:31 +0200
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
libpreludedb (0.9.15.1-3) unstable; urgency=low


  * Upload to unstable

 -- Pierre Chifflier <email address hidden>  Thu, 26 Feb 2009 13:45:17 +0100
Superseded in squeeze-release on 2011-09-13
Superseded in sid-release on 2011-09-20
Published in lenny-release on 2008-10-29
libpreludedb (0.9.14.1-2) unstable; urgency=low


  * Update watch file
  * Bump standards version (no changes)
  * Update dependencies

 -- Pierre Chifflier <email address hidden>  Tue, 01 Jul 2008 09:10:24 +0200
115 of 15 results